DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# FeatureCenter

Measure the object's center

## SYNOPSIS

`#include "dip_measurement.h"`

dip_int dip_FeatureCenterID ( void )

## OUTPUT DATA TYPE

`dip_FloatArray`

## FUNCTION

`dip_FeatureCenterID` returns the ID value of this measurement function, that is registered by `Initialise`.

This functions measures the centre of an object by calculating the first moments of the object using the object labels as binary mask. The intensity information is not taken into account.

## SEE ALSO

`Measure`

`FeatureAnisotropy2D`, `FeatureBendingEnergy`, `FeatureCenter`, `FeatureChainCodeBendingEnergy`, `FeatureConvexArea`, `FeatureConvexPerimeter`, `FeatureConvexity`, `FeatureDimension`, `FeatureExcessKurtosis`, `FeatureFeret`, `FeatureGinertia`, `FeatureGmu`, `FeatureGravity`, `FeatureInertia`, `FeatureLongestChaincodeRun`, `FeatureMass`, `FeatureMaxVal`, `FeatureMaximum`, `FeatureMean`, `FeatureMinVal`, `FeatureMinimum`, `FeatureMu`, `FeatureOrientation2D`, `FeatureP2A`, `FeaturePerimeter`, `FeatureRadius`, `FeatureShape`, `FeatureSize`, `FeatureSkewness`, `FeatureStdDev`, `FeatureSum`, `FeatureSurfaceArea`